/****************************************************************************
**
** Copyright (C) 2014-2015 Debao Zhang <hello@debao.me>
**
** This file is part of the QtOfficeOpenXml library.
**
** GNU Lesser General Public License Usage
** This file may be used under the terms of the GNU Lesser
** General Public License version 3 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPLv3 included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 3 requirements
** will be met: https://www.gnu.org/licenses/lgpl.html.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 2.0 or later as published by the Free
** Software Foundation and appearing in the file LICENSE.GPLv2 included in
** the packaging of this file. Please review the following information to
** ensure the GNU General Public License version 2.0 requirements will be
** met: http://www.gnu.org/licenses/gpl-2.0.html.
**
****************************************************************************/
#ifndef QTOFFICEOPENXML_OOXMLABSTRACTFIXEDTYPEXMLPART_H
#define QTOFFICEOPENXML_OOXMLABSTRACTFIXEDTYPEXMLPART_H

//
//  W A R N I N G
//  -------------
//
// This file is not part of the Qt Office Open Xml API.  It exists for
// the convenience of the Qt Office Open Xml.  This header file may
// change from version to version without notice, or even be removed.
//
// We mean it.
//

#include <QtOfficeOpenXml/officeopenxmlglobal.h>
#include <QtOfficeOpenXml/ooxmlschames.h>
#include <QtCore/qstring.h>
class QIODevice;

namespace QtOfficeOpenXml {
namespace Opc {
class Package;
class PackagePart;
}
namespace Ooxml {
class AbstractFixedTypeXmlPart
{
public:
    AbstractFixedTypeXmlPart(const QString &partName, Opc::Package *package);
    virtual ~AbstractFixedTypeXmlPart();

    virtual QString contentType() const = 0;
    QString partName() const;
    Opc::PackagePart *packagePart() const;

    bool loadFromPackage(SchameType schameType);
    bool saveToPackage(SchameType schameType);

protected:
    virtual bool doLoadFromXml(QIODevice *device, SchameType schameType) = 0;
    virtual bool doSaveToXml(QIODevice *device, SchameType schameType) const = 0;

    QString partUri;
    Opc::Package *package;
    Opc::PackagePart *part;
    bool hasCalled;
};

} // namespace Ooxml
} // namespace QtOfficeOpenXml

#endif // QTOFFICEOPENXML_OOXMLABSTRACTFIXEDTYPEXMLPART_H
